package puhelinluettelo;

import java.io.*;
import java.util.*;
import java.util.regex.*;

/** Kyttliittym puhelinluettelon kyttmist varten.
  * 
  */
public class Kayttoliittyma {
  /** Nyt kyttjlle kehote ja
    * lue syte nppimistlt.
    */
  private BufferedReader reader;
  
  public Kayttoliittyma() {
    InputStreamReader isr = new InputStreamReader(System.in);
    reader = new BufferedReader(isr);
  }
  
  public boolean lueJaToteuta() throws java.io.IOException {
    String syote = reader.readLine();
    Scanner s = new Scanner(syote);
    
    // Listaus
    String luettu = s.findInLine("^listaa$");
    if (luettu != null) {
      System.out.println("listaus");
      return false;
    }
    
    // Etsiminen
    luettu = s.findInLine("^etsi ([a-zA-Z ]+)$");
    if (luettu != null) {
      System.out.println("etsiminen");
      return false;
    }
    
    // Lisminen
    luettu = s.findInLine("^lisaa ([a-zA-Z ]+),([0-9 ]+)$");
    if (luettu != null) {
      System.out.println("lisminen");
      return false;
    }
    
    return false;
  }
  
  public static void main(String[] args) {
    Kayttoliittyma kayttoliittyma = new Kayttoliittyma();
    for (;;) {
      try {
        kayttoliittyma.lueJaToteuta();
      } catch (IOException ex) {
        System.out.println("VOI HELKKARI!" + ex.toString());
      }
    }
  }
}