package javakurssi1;

public class Kokispullo {
  private boolean taysi = true; // yksisuuntainen lippu, ei ny ulospin
  
  /** Palauttaa pullon koon litroina.
    * 
    * @return pullon koon litroina.
    */
  public double getKoko() {
    return 0.5;
  }
  
  
  /** Palauttaa sislln mrn litroina.
    * 
    * @return sislln mrn litroina.
    */
  public double getSisallonMaara() {
    return taysi ? 0.5 : 0;
  }
  
  
  /** Palauttaa juoman vrin litroina.
    * 
    * @return juoman vrin litroina.
    */
  public String getJuomanVari() {
    return "Musta";
  }
  
  /** Tyhjent pullon.
    */
  public void juo() {
    taysi = false;
  }
  
  public String toString() {
    return String.format("Pullo, koko %s litraa, sislt %s litraa, juoman vri %s",
                         getKoko(),
                         getSisallonMaara(),
                         getJuomanVari());
  }
}